## org.eclipse.datatools.sqltools.debugger.core
Interface SQLDebuggerConfiguration

    public interface SQLDebuggerConfiguration

Database plugins should implement this interface to provide database-specific features.

Author:
  Hui Cao

Method Summary
`IDebugHandler` `createDebugHandler(java.lang.String profileName)`
`org.eclipse.debug.ui.IDebugModelPresentation` `getDebugModelPresentation()` Gets the DebugModelPresentation
`SPThread` `getSPThread(SPDebugTarget target, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier, java.lang.String id, java.sql.Connection debuggeeCon)` Returns a `SPThread` used to debug stored procedures.

Method Detail

### getSPThread

    SPThread getSPThread(SPDebugTarget target,
                         org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier,
                         java.lang.String id,
                         java.sql.Connection debuggeeCon)
                         throws java.lang.Exception

  Returns a `SPThread` used to debug stored procedures.

  Parameters:
    `target` - the debug target in which this thread is contained
    `databaseIdentifier` - on which database this thread is running
    `connectionId` - the database specific connection id @see org.eclipse.datatools.sqltools.core.services.ConnectionService#getConnectionId(org.eclipse.datatools.sqltools.core.DatabaseIdentifier, java.sql.Connection)
    `debuggeeCon` - the connection to be debugged
  Returns:
  Throws:
    `java.lang.Exception`

### createDebugHandler

    IDebugHandler createDebugHandler(java.lang.String profileName)

  Parameters:
    `profileName` -
  Returns:

### getDebugModelPresentation

    org.eclipse.debug.ui.IDebugModelPresentation getDebugModelPresentation()

  Gets the DebugModelPresentation

  Returns: